#include "cmwcalikerfcheck.h"
#include "ui_cmwcalikerfcheck.h"
#include "logic.h"
CMWCaliKerfCheck::CMWCaliKerfCheck(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CMWCaliKerfCheck)
{
    ui->setupUi(this);
}

CMWCaliKerfCheck::~CMWCaliKerfCheck()
{
    delete ui;
}

void CMWCaliKerfCheck::MInit()
{
    CProcess_Kerf* pKerf=GET_PROCESS(PROCESS_KERFCHECK,
                                     SM_MAIN,
                                     CProcess_Kerf);
    Q_ASSERT(pKerf);
    Variant* pparam[5]={0};
    pparam[0]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_BeforeSearchSleep_ID);
    pparam[1]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AfterSearchSleep_ID);
    pparam[2]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AutoThresRange_ID);
    pparam[3]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_AutoThresStep_ID);
    pparam[4]=pKerf->m_Variants.get_Variant(Var_Process_Kerf_EnableAutoThres_ID);
    ui->widget->MParamInit_list(pparam,5);
    mchildwidgets[(uintptr_t)ui->widget]=ui->widget;
}
